import { AxiosApiClient, WidgetDto } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class CmsPageWidgetComponent extends BaseWidgetComponent {
    private axiosApiClient;
    private notificationService;
    cmsComponent: WidgetDto;
    constructor(axiosApiClient: AxiosApiClient, notificationService: NotificationService);
    static getConfiguration(): WidgetConfigurationSchema;
    private loadPage;
    static ɵfac: i0.ɵɵFactoryDeclaration<CmsPageWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CmsPageWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
