import { DataStore, TokenService } from "@smallstack/common-components";
import { FormComponent } from "@smallstack/form-core-components";
import { Form } from "@smallstack/form-shared";
import { NotificationService } from "@smallstack/i18n-components";
import { PageableCrudStore } from "@smallstack/store";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class FormWidgetComponent extends BaseWidgetComponent {
    private notificationService;
    private tokenService;
    formsStore: PageableCrudStore<Form>;
    currentForm: Form;
    formData: any;
    schemaLoaded: boolean;
    formSubmitted: boolean;
    form: FormComponent;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(dataStore: DataStore, notificationService: NotificationService, tokenService: TokenService);
    getForm(formId: string): Promise<void>;
    sendForm(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormWidgetComponent, "form-widget", never, {}, {}, never, never, false, never>;
}
